std::isgraph(std::locale)(3)

NAME
std::isgraph(std::locale) - std::isgraph(std::locale)

Synopsis
   Defined in header <locale>
   template< class charT >
   bool isgraph( charT ch, const locale& loc );
   Checks if the given character classified as a graphic character (i.e. printable,
   excluding space) by the given locale's std::ctype facet.

Parameters
   ch - character
   loc - locale

Return value
   Returns true if the character is classified as graphic, false otherwise.

Possible implementation
   template< class charT >
   bool isgraph( charT ch, const std::locale& loc ) {
       return std::use_facet<std::ctype<charT>>(loc).is(std::ctype_base::graph, ch);
   }

Example
   Demonstrates the use of isgraph() with different locales (OS-specific). // Run this code
 #include <iostream>
 #include <locale>
 int main()
 {
     const wchar_t c = L'\u2a0c'; // quadruple integral
     std::locale loc1("C");
     std::cout << "isgraph('⨌', C locale) returned "
                << std::boolalpha << std::isgraph(c, loc1) << '\n';
     std::locale loc2("en_US.UTF-8");
     std::cout << "isgraph('⨌', Unicode locale) returned "
               << std::boolalpha << std::isgraph(c, loc2) << '\n';
 }

Output:
 isgraph('⨌', C locale) returned false
 isgraph('⨌', Unicode locale) returned true

See also
   isgraph checks if a character is a graphical character
            (function)
   iswgraph checks if a wide character is a graphical character
            (function)